ygs98_dbconn {ygs98.db} | R Documentation

## Collect information about the package annotation DB

### Description

Some convenience functions for getting a connection object to (or collecting information about) the package annotation DB.

### Usage

      ygs98_dbconn()
      ygs98_dbfile()
      ygs98_dbschema(file="", show.indices=FALSE)
      ygs98_dbInfo()

### Arguments

`file` | A connection, or a character string naming the file to print to (see the `file` argument of the `cat` function for the details).
`show.indices` | The CREATE INDEX statements are not shown by default. Use `show.indices=TRUE` to get them.

### Details

`ygs98_dbconn` returns a connection object to the package annotation DB. IMPORTANT: Don't call `dbDisconnect` on the connection object returned by `ygs98_dbconn` or you will break all the `AnnDbObj` objects defined in this package!

`ygs98_dbfile` returns the path (character string) to the package annotation DB (this is an SQLite file).

`ygs98_dbschema` prints the schema definition of the package annotation DB.

`ygs98_dbInfo` prints other information about the package annotation DB.

### Value

`ygs98_dbconn`: a DBIConnection object representing an open connection to the package annotation DB.
`ygs98_dbfile`: a character string with the path to the package annotation DB.
`ygs98_dbschema`: none (invisible `NULL`).
`ygs98_dbInfo`: none (invisible `NULL`).

### See Also

`dbGetQuery`, `dbConnect`, `dbconn`, `dbfile`, `dbschema`, `dbInfo`

### Examples

      ## Count the number of rows in the "probes" table:
      dbGetQuery(ygs98_dbconn(), "SELECT COUNT(*) FROM probes")

      ## The connection object returned by ygs98_dbconn() was created with:
      dbConnect(SQLite(), dbname=ygs98_dbfile(), cache_size=64000, synchronous=0)

      ygs98_dbschema()

      ygs98_dbInfo()

[Package ygs98.db version 2.2.0 Index]